pypulseq package
================

Subpackages
-----------

.. toctree::
   :maxdepth: 4

   pypulseq.SAR
   pypulseq.Sequence
   pypulseq.tests

Submodules
----------

pypulseq.add\_gradients module
------------------------------

.. automodule:: pypulseq.add_gradients
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.add\_ramps module
--------------------------

.. automodule:: pypulseq.add_ramps
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.align module
---------------------

.. automodule:: pypulseq.align
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.block\_to\_events module
---------------------------------

.. automodule:: pypulseq.block_to_events
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.calc\_duration module
------------------------------

.. automodule:: pypulseq.calc_duration
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.calc\_ramp module
--------------------------

.. automodule:: pypulseq.calc_ramp
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.calc\_rf\_bandwidth module
-----------------------------------

.. automodule:: pypulseq.calc_rf_bandwidth
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.calc\_rf\_center module
--------------------------------

.. automodule:: pypulseq.calc_rf_center
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.check\_timing module
-----------------------------

.. automodule:: pypulseq.check_timing
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.compress\_shape module
-------------------------------

.. automodule:: pypulseq.compress_shape
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.convert module
-----------------------

.. automodule:: pypulseq.convert
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.decompress\_shape module
---------------------------------

.. automodule:: pypulseq.decompress_shape
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.event\_lib module
--------------------------

.. automodule:: pypulseq.event_lib
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_adc module
-------------------------

.. automodule:: pypulseq.make_adc
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_adiabatic\_pulse module
--------------------------------------

.. automodule:: pypulseq.make_adiabatic_pulse
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_arbitrary\_grad module
-------------------------------------

.. automodule:: pypulseq.make_arbitrary_grad
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_arbitrary\_rf module
-----------------------------------

.. automodule:: pypulseq.make_arbitrary_rf
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_block\_pulse module
----------------------------------

.. automodule:: pypulseq.make_block_pulse
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_delay module
---------------------------

.. automodule:: pypulseq.make_delay
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_digital\_output\_pulse module
--------------------------------------------

.. automodule:: pypulseq.make_digital_output_pulse
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_extended\_trapezoid module
-----------------------------------------

.. automodule:: pypulseq.make_extended_trapezoid
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_extended\_trapezoid\_area module
-----------------------------------------------

.. automodule:: pypulseq.make_extended_trapezoid_area
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_gauss\_pulse module
----------------------------------

.. automodule:: pypulseq.make_gauss_pulse
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_label module
---------------------------

.. automodule:: pypulseq.make_label
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_sigpy\_pulse module
----------------------------------

.. automodule:: pypulseq.make_sigpy_pulse
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_sinc\_pulse module
---------------------------------

.. automodule:: pypulseq.make_sinc_pulse
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_trapezoid module
-------------------------------

.. automodule:: pypulseq.make_trapezoid
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.make\_trigger module
-----------------------------

.. automodule:: pypulseq.make_trigger
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.opts module
--------------------

.. automodule:: pypulseq.opts
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.points\_to\_waveform module
------------------------------------

.. automodule:: pypulseq.points_to_waveform
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.rotate module
----------------------

.. automodule:: pypulseq.rotate
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.scale\_grad module
---------------------------

.. automodule:: pypulseq.scale_grad
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.sigpy\_pulse\_opts module
----------------------------------

.. automodule:: pypulseq.sigpy_pulse_opts
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.split\_gradient module
-------------------------------

.. automodule:: pypulseq.split_gradient
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.split\_gradient\_at module
-----------------------------------

.. automodule:: pypulseq.split_gradient_at
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.supported\_labels\_rf\_use module
------------------------------------------

.. automodule:: pypulseq.supported_labels_rf_use
   :members:
   :undoc-members:
   :show-inheritance:

pypulseq.traj\_to\_grad module
------------------------------

.. automodule:: pypulseq.traj_to_grad
   :members:
   :undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: pypulseq
   :members:
   :undoc-members:
   :show-inheritance:
